# Files API

Use Codat's Files API to upload your SMB customers' files. 

<!-- Start SDK Installation -->
## SDK Installation

```bash
pip install codat-files
```
<!-- End SDK Installation -->

## SDK Example Usage
<!-- Start SDK Example Usage -->
```python
import codatfiles
from codatfiles.models import operations

s = codatfiles.CodatFiles(
    security=shared.Security(
        auth_header="YOUR_API_KEY_HERE",
    ),
)

req = operations.DownloadFilesRequest(
    company_id='8a210b68-6988-11ed-a1eb-0242ac120002',
    date_='corrupti',
)

res = s.files.download_files(req)

if res.data is not None:
    # handle response
```
<!-- End SDK Example Usage -->

<!-- Start SDK Available Operations -->
## Available Resources and Operations


### [files](docs/files/README.md)

* [download_files](docs/files/README.md#download_files) - Download all files for a company
* [list_files](docs/files/README.md#list_files) - List all files uploaded by a company
* [upload_files](docs/files/README.md#upload_files) - Upload files for a company
<!-- End SDK Available Operations -->

### SDK Generated by [Speakeasy](https://docs.speakeasyapi.dev/docs/using-speakeasy/client-sdks)
